com.unitech.lib.uhf.event

## Class RfidUhfEventManager

- java.lang.Object
- - com.unitech.lib.uhf.event.RfidUhfEventManager

-     public class RfidUhfEventManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RfidUhfEventManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addListener(IRfidUhfEventListener listener)`
    `void` | `clear()`
    `void` | `destroy()`
    `void` | `generateUHFAccessResult(BaseUHF uhf, ResultCode code, ActionState action, java.lang.String epc, java.lang.String data, java.lang.Object params)`
    `void` | `generateUHFReadTag(BaseUHF uhf, java.lang.String tag, java.lang.Object params)`
    `void` | `removeListener(IRfidUhfEventListener listener)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RfidUhfEventManager

          public RfidUhfEventManager()

  - ### Method Detail

    - #### destroy

          public void destroy()

    - #### addListener

          public void addListener(IRfidUhfEventListener listener)

    - #### removeListener

          public void removeListener(IRfidUhfEventListener listener)

    - #### clear

          public void clear()

    - #### generateUHFReadTag

          public void generateUHFReadTag(BaseUHF uhf,
                                         java.lang.String tag,
                                         java.lang.Object params)

    - #### generateUHFAccessResult

          public void generateUHFAccessResult(BaseUHF uhf,
                                              ResultCode code,
                                              ActionState action,
                                              java.lang.String epc,
                                              java.lang.String data,
                                              java.lang.Object params)